Bug 8145 - в текущем gaim (1.5.0) нет протокола ICQ
: в текущем gaim (1.5.0) нет протокола ICQ
Status: CLOSED FIXED
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/gaim)
: 2.4
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-10-06 12:26 by
Modified: 2006-04-26 13:38 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-10-06 12:26:07
поставил на ALT Master 2.4 gaim 1.5.0 из Сизифа (раньше стоял родной gaim 0.80
из  мастера). Результат: в диалоге добавления аккаунта отсутствует протокол
icq.
Steps to Reproduce:
1. Установил gaim 0.80 из Master
2. Удалил gaim 0.80
3. Загрузил из установил из Сизифа gaim-1.5.0-alt1.i586.rpm, для удовлетворения
зависимостей также пришлось установить libgcrypt-1.2.1-alt1.i586.rpm,
libgnutls-1.2.6-alt1.1.i586.rpm, libgpg-error-1.1-alt1.i586.rpm,
libtasn1-0.2.15-alt1.i586.rpm
4. Запустил gaim, попытался добавить аккаунт.
Actual Results:  
В списке протоколов всего 4 позиции, icq нет.

Expected Results:  
сообственно, ожидал я в списке протоколов все ж таки найти icq.
------- Comment #1 From 2005-10-07 11:50:49 -------
Вообще говоря, этот баг отсутствует в Сизифе. Я подозреваю gtk2, т.к. эта
библиотека и связанные с ней довольно часто являются целью для обвинений в
адрес
разработчиков в нарушении ABI без изменения soname.

Рецепт проверки моего предположения прост: пересобрать gaim в hasher,
настроенном на AML2.4+updates.

Я могу приложить нужное количество усилий по сборке и выложить результаты в
репозитарий backports, но не могу провести тестирование, т.к. не использую
ALM2.4 на компьютерах с X11 GUI и подключенных к сети одновременно.

2Serge: осилите тестирование?
------- Comment #2 From 2005-10-07 12:29:06 -------
Андрей, за сборку в backports буду очень признателен, ибо у меня для этого нет
необходимой пакетной базы. Кстати, сей баг это дуп #5374 

*** This bug has been marked as a duplicate of 5374 ***
------- Comment #3 From 2005-10-07 13:47:58 -------
В первую очередь - спасибо за быструю реакцию.

>ALM2.4 на компьютерах с X11 GUI и подключенных к сети одновременно.
>2Serge: осилите тестирование?

Конечно, осилю - я же так и так буду пробовать ставить обновленную вами версию.
Но хочу заметить, что подключения к сети для тестирования не требуется -
достаточно запустить gaim и попробовать добавить аккаунт для протокола icq, так
что результаты вы сможете проверить и сами.
Кстати, ALM 2.4 у меня без апдейтов - так сложилось, что мне нужен оригинал.
Возможно, дело в этом?

> это дуп #5374

Вообще-то 5374 - это про безопасность в версиях меньше 1.0.2. А у меня проблема
с отсутствием протокола icq в версии 1.5.0, поставленной на ALM 2.4. За что же
его в resolved duplicate? Или я чего-то не понимаю?
------- Comment #4 From 2005-10-07 13:49:25 -------
5374 переоткрыт из-за отсутствия перресобраной версии в backports.
------- Comment #5 From 2005-10-11 10:53:14 -------
ftp://ftp.altlinux.com/pub/distributions/ALTLinux/backports/2.4/i586/RPMS.backports/gaim-1.5.0-alt0.M24.1.i586.rpm

Добавить учётную запись протокола icq "пробовал", насколько это возможно при
отсутствии Интернет. Пожалуйста, доложите о результатах использования сюда же.
------- Comment #6 From 2005-10-12 12:15:09 -------
Все заработало, большое спасибо!